Bug 1165652 (CVE-2014-7904)

Summary: CVE-2014-7904 chromium-browser: Buffer overflow in Skia
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jrusnack, tpopela
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Chrome 39.0.2171.65 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-04 06:37:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1165942, 1165943    
Bug Blocks: 1165665, 1167618    

Description Vasyl Kaigorodov 2014-11-19 12:40:56 UTC
Unspecified buffer overflow vulnerability was found [1] in Skia (2D graphics engine used in Chromium).

[1]: https://code.google.com/p/chromium/issues/detail?id=418161

External References:

http://googlechromereleases.blogspot.com/2014/11/stable-channel-update_18.html

Comment 2 Huzaifa S. Sidhpurwala 2014-11-20 05:32:14 UTC
Upstream commit:

https://skia.googlesource.com/skia.git/+/3a49520696b2eca69e57884657d23fd2402ccfd1

Comment 3 errata-xmlrpc 2014-11-24 20:57:21 UTC
This issue has been addressed in the following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:1894 https://rhn.redhat.com/errata/RHSA-2014-1894.html

Comment 4 Huzaifa S. Sidhpurwala 2015-09-04 06:10:58 UTC
Upstream librsvg2 patch at:

https://git.gnome.org/browse/librsvg/commit/?id=40af93e6eb1c94b90c3b9a0b87e0840e126bb8df

Comment 5 Huzaifa S. Sidhpurwala 2015-09-04 06:30:13 UTC
Statement:

This issue did not affect the versions of librsvg2 as shipped with Red Hat Enterprise Linux 5 and 6. This issue affects the version of librsvg2 as shipped with Red Hat Enterprise Linux 7.